%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-MRO-Compat
Version:       0.15
Release:       2mamba
Summary:       MRO::Compat - mro::* interface compatibility for Perls < 5.9.5
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        https://cpan.metacpan.org/authors/id/H/HA/HAARG/MRO-Compat-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
BuildRequires: perl-devel
Requires:      perl >= %perl_major_ver

%description
MRO::Compat - mro::* interface compatibility for Perls < 5.9.5.

%prep
%setup -q -n MRO-Compat-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)

## note: eventually add the remaining documents (if any)
# %doc ChangeLog README

%changelog
* Mon Apr 17 2023 Sdk Build System <sdk@mambasoft.it> 0.15-2mamba
- rebuilt with perl 5.36.0

* Mon Jan 10 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.15-1mamba
- update to 0.15

* Fri Nov 09 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.11-1mamba
- package created by autospec
